﻿using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.IO;
using System.Threading;
using System;
using System.Diagnostics;
using System.Threading.Tasks;

namespace Wpf_Async
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private async void btnLerArquivos_Click(object sender, RoutedEventArgs e)
        {
            btnLerArquivos.IsEnabled = false;
            var sw = new Stopwatch();
            sw.Start();
            lbArquivos.ItemsSource = await LerArquivos();
            sw.Stop();
            lblmsg.Content = "Tempo Gasto (ms) : \n" + sw.ElapsedMilliseconds.ToString();
            btnLerArquivos.IsEnabled = true;
        }

        private Task<IEnumerable<string>> LerArquivos()
        {
            return Task.Run(() =>
            {
                var arquivos = from arquivo in Directory.GetFiles(@"c:\dados")
                               select arquivo;

                Thread.Sleep(5000);
                return arquivos;
            });
        }

        private void btnExibirDataHora_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Hora Data e Hora Atual  :\n " + DateTime.Now.ToShortDateString() + " - "+
                DateTime.Now.ToLongTimeString());
        }
    }
}
